Skip to content

Collections

GET/api/v1.1/collections/accounts/{id}

List an account's collections

Pixelfed only User token

Path parameters

idstringrequired

Query parameters

pageinteger

Returns

curl "https://pixelfed.social/api/v1.1/collections/accounts/2?page=1" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "691204417380331520",
  "pid": "2",
  "visibility": "public",
  "title": "Harbour mornings",
  "description": "One winter of walks before work",
  "thumb": "https://pixelfed.social/storage/m/_v2/2/harbour_thumb.jpg",
  "url": "https://pixelfed.social/c/691204417380331520",
  "updated_at": "2026-03-30T06:48:12.000000Z",
  "published_at": "2026-02-11T07:05:41.000000Z",
  "avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
  "username": "dansup",
  "post_count": 14
}]
GET/api/v1.1/collections/self

List your collections

Pixelfed only User token

Query parameters

pageinteger

Returns

curl "https://pixelfed.social/api/v1.1/collections/self" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "691204417380331520",
  "pid": "2",
  "visibility": "public",
  "title": "Harbour mornings",
  "description": "One winter of walks before work",
  "thumb": "https://pixelfed.social/storage/m/_v2/2/harbour_thumb.jpg",
  "url": "https://pixelfed.social/c/691204417380331520",
  "updated_at": "2026-03-30T06:48:12.000000Z",
  "published_at": "2026-02-11T07:05:41.000000Z",
  "avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
  "username": "dansup",
  "post_count": 14,
  "items": [{
    "id": "728341901556629504",
    "shortcode": "W4kQ2pLm",
    "url": "https://pixelfed.social/p/dansup/728341901556629504",
    "content_text": "Golden hour at the pier",
    "visibility": "public",
    "pf_type": "photo",
    "media_attachments": [{
      "id": "728341067224219648",
      "type": "image",
      "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
    }],
    "account": {
      "id": "2",
      "username": "dansup"
    }
  }]
}]
GET/api/v1.1/collections/view/{id}

Get a collection

Pixelfed only User token

Path parameters

idstringrequired

Returns

curl "https://pixelfed.social/api/v1.1/collections/view/691204417380331520" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "691204417380331520",
  "pid": "2",
  "visibility": "public",
  "title": "Harbour mornings",
  "description": "One winter of walks before work",
  "thumb": "https://pixelfed.social/storage/m/_v2/2/harbour_thumb.jpg",
  "url": "https://pixelfed.social/c/691204417380331520",
  "updated_at": "2026-03-30T06:48:12.000000Z",
  "published_at": "2026-02-11T07:05:41.000000Z",
  "avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
  "username": "dansup",
  "post_count": 14
}
GET/api/v1.1/collections/items/{id}

List collection posts

Pixelfed only User token

Path parameters

idstringrequired

Query parameters

pageinteger

Returns

curl "https://pixelfed.social/api/v1.1/collections/items/691204417380331520?page=1" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "_v": 1,
  "id": "728341901556629504",
  "shortcode": "W4kQ2pLm",
  "uri": "https://pixelfed.social/p/dansup/728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "content_text": "Golden hour at the pier",
  "created_at": "2026-09-14T17:42:10.000Z",
  "favourites_count": 31,
  "reblogs_count": 2,
  "reply_count": 4,
  "sensitive": false,
  "visibility": "public",
  "pf_type": "photo",
  "local": true,
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "preview_url": "https://pixelfed.social/storage/m/_v2/2/pier_thumb.jpg",
    "description": "Wooden pier at sunset, two people fishing at the far end",
    "mime": "image/jpeg",
    "blurhash": "UJF}Qo~W9aIV4.xuRjWB00WB-pof"
  }],
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "display_name": "dansup",
    "avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
    "local": true
  }
}]
POST/api/v1.1/collections/update/{id}

Update a collection

Pixelfed only User token

Path parameters

idstringrequired

Body parameters

titlestring

descriptionstring

visibilitystringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1.1/collections/update/691204417380331520" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Harbour mornings",
    "description": "One winter of walks before work",
    "visibility": "public"
  }'
Response
{
  "id": "691204417380331520",
  "pid": "2",
  "visibility": "public",
  "title": "Harbour mornings",
  "description": "One winter of walks before work",
  "thumb": "https://pixelfed.social/storage/m/_v2/2/harbour_thumb.jpg",
  "url": "https://pixelfed.social/c/691204417380331520",
  "updated_at": "2026-10-17T09:14:03.000000Z",
  "published_at": "2026-02-11T07:05:41.000000Z",
  "avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg",
  "username": "dansup",
  "post_count": 14
}
POST/api/v1.1/collections/add

Add a post to a collection

Pixelfed only User token

Body parameters

collection_idstringrequired

post_idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1.1/collections/add" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "collection_id": "691204417380331520",
    "post_id": "728341901556629504"
  }'
Response
{
  "_v": 1,
  "id": "728341901556629504",
  "shortcode": "W4kQ2pLm",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content_text": "Golden hour at the pier",
  "visibility": "public",
  "pf_type": "photo",
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
  }],
  "account": {
    "id": "2",
    "username": "dansup"
  }
}
POST/api/v1.1/collections/remove

Remove a post from a collection

Pixelfed only User token

Body parameters

collection_idstringrequired

post_idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1.1/collections/remove" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "collection_id": "691204417380331520",
    "post_id": "728341901556629504"
  }'
Response
200
DELETE/api/v1.1/collections/delete/{id}

Delete a collection

Pixelfed only User token

Path parameters

idstringrequired

Returns

curl -X DELETE "https://pixelfed.social/api/v1.1/collections/delete/691204417380331520" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
200
Pixelfed is free and open source software. Edit this page Report a docs issue